\name{KernSmoothIRT-package}
\alias{KernSmoothIRT}
\docType{package}
\title{KernSmoothIRT Package}
\description{
This package is meant for the graphical analysis of multiple choice test and questionnaire data within a nonparametric approach. Basically, it performs the fitting of item and options characteristic curves using kernel smoothing techniques and provides a variety of exploratory plots.
}
\details{
\tabular{ll}{
Package: \tab KernSmoothIRT\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2011-05-29\cr
Requires: \tab plotrix \cr
License: \tab GPL-2\cr
LazyLoad: \tab yes\cr
}

The function \code{ksIRT} creates a \code{ksIRT} object using kernel smoothing. 
Plotting the \code{ksIRT} object creates a variety of exploratory plots, including: item characteristic curves, option characteristic curves, density plots, expected value plots, and a probability simplex plot for the top 3 highest probability options of each item. 

}
\author{
Angelo Mazza, Antonio Punzo, Brian McGuire

Maintainer: Brian McGuire <mcguirebc@gmail.com>

}
\references{

Ramsay, J.O. (2000). 
\pkg{TestGraf}: A program for the graphical analysis of multiple choice test and questionnaire data. \url{http://www.psych.mcgill.ca/faculty/ramsay/ramsay.html}.

}